Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.servlet
Class WelcomeFilter

    java.lang.Object
      org.mortbay.servlet.WelcomeFilter

All Implemented Interfaces:
  Filter

    public class WelcomeFilter

extends Object
implements Filter

Welcome Filter This filter can be used to server an index file for a directory when no index file actually exists (thus the web.xml mechanism does not work). This filter will dispatch requests to a directory (URLs ending with /) to the welcome URL determined by the "welcome" init parameter. So if the filter "welcome" init parameter is set to "index.do" then a request to "/some/directory/" will be dispatched to "/some/directory/index.do" and will be handled by any servlets mapped to that URL. Requests to "/some/directory" will be redirected to "/some/directory/".

Constructor Summary
`WelcomeFilter()`

Method Summary
`void` | `destroy()`
`void` | `doFilter(ServletRequest request, ServletResponse response, FilterChain chain)`
`void` | `init(FilterConfig filterConfig)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WelcomeFilter

    public WelcomeFilter()

Method Detail

### init

    public void init(FilterConfig filterConfig)

  Specified by:
    `init` in interface `Filter`

### doFilter

    public void doFilter(ServletRequest request,
                         ServletResponse response,
                         FilterChain chain)
                  throws IOException,
                         ServletException

  Specified by:
    `doFilter` in interface `Filter`
  Throws:
    `IOException`
    `ServletException`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `Filter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.